dofile("scripts/entities/entityinclude.lua")

function commonInit(me, object, flag)
	if isFlag(flag, 1) then
		debugLog("CollectibleNode: Creating object")
		debugLog(object)
		collectible = createEntity(object, "", node_x(me), node_y(me))
		debugLog("seting state to inhouse")
		entity_setState(collectible, STATE_COLLECTEDINHOUSE)
	else
		debugLog("CollectibleNode: Flag not set")
	end
end
